跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://docs.topify.ai/llms.txt

Use this file to discover all available pages before exploring further.

项目代表您在 Topify.ai 中跟踪的品牌。每个项目都包含搜索词、竞争对手、来源以及分析数据。

列出项目

GET /projects
返回您的 API 密钥可访问的所有项目,按创建日期排序(最早在前)。

请求

无查询参数。
curl "https://topify-customer-api-production.up.railway.app/api/public/v1/projects" \
  -H "X-API-Key: tk_live_..."

响应

{
  "success": true,
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "My Brand Project",
      "brand_name": "Acme Corp",
      "website_url": "https://acme.com",
      "location": "US",
      "language": "en",
      "brand_aliases": [],
      "created_at": "2026-01-15T10:30:00+00:00"
    }
  ]
}

响应字段

字段类型可空描述
idstring (UUID)No项目 ID
namestringNo项目显示名称
brand_namestringYes正在跟踪的主要品牌名称
website_urlstringYes品牌网站 URL
locationstringYes目标市场国家代码
languagestringYes目标语言代码
brand_aliasesstring[]No列表视图中始终为 []。请使用获取单个项目端点查看别名
created_atstring (ISO 8601)No创建时间

获取项目

GET /projects/{project_id}
返回单个项目的详细信息,包括品牌别名。

路径参数

参数类型描述
project_idstring (UUID)项目 ID
curl "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}" \
  -H "X-API-Key: tk_live_..."

响应

{
  "success": true,
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "My Brand Project",
    "brand_name": "Acme Corp",
    "website_url": "https://acme.com",
    "location": "US",
    "language": "en",
    "brand_aliases": ["ACME", "Acme Corporation", "acme.com"],
    "created_at": "2026-01-15T10:30:00+00:00"
  }
}

响应字段

与列出项目相同,区别在于 brand_aliases 包含实际的别名:
字段类型可空描述
brand_aliasesstring[]No用于在 AI 回复中匹配的备选品牌名称

错误

状态详情原因
403Project does not belong to your teamAPI 密钥所在团队不拥有此项目
404Project not found不存在此 ID 的项目